stages:
  - build
  - deploy

build:
  image: node:16.10.0 
  stage: build
  script:
  # We simulate a build phase by manually creating files in a build folder
  # An example would be using `yarn build` to build a react project that would create static files in a build or public folder
  #  - mkdir -p build && touch build/build.html build/build.txt
    - yarn install
    - yarn build
  artifacts:
    when: on_success
    paths:
      - build/
    expire_in: 20 mins


deploy:
  stage: deploy
  needs:
    - build
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  # rules:
  #   - if: $CI_COMMIT_TAG                 # Run this job when a tag is created
  script:
    - echo "Running deploy"
    - aws s3 cp ./build s3://inpixio-removebg-app/remove-bg/ --recursive
    - echo "Deployment successful"